/*
Model:AS-289R(Printer Shield)
mbed NXP LPC1768用 DTR制御無しサンプルコード
ナダ電子株式会社 特機課
NADA ELECTRONICS, LTD.
http://www.nada.co.jp
*/

#include "mbed.h"

Serial device(p28, p27);  // tx(p28), rx(p27)

int main()
{
    while(1) {
        device.printf("AS-289Rの印字サンプルです\r");
        device.printf("mbed NXP LPC1768で動作中です\r");
        device.printf("\r\r");  // 改行x2
        // QRコード
        char GsQr[] = { 0x1D,0x78,0x4C,0x04,0x54,0x45,0x53,0x54 };  //QRコード
        for (int i = 0; i < sizeof(GsQr); i++) {
            device.putc(GsQr[i]);
        }
        device.printf("\r\r\r\r\r\r");  // 改行x6
        
        wait(5.0);  // 5Sec
    }
}
